Subject: Re: PCIe enhanced configuration mechanism support on ppc arch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 31 Aug 2006 22:02:51 +1000

On Thu, 2006-08-31 at 12:11 +0200, Segher Boessenkool wrote:
> > An example of platform not using RTAS and that does support extended
> > config space is the PCI Express link out of the U4 northbridge on
> > PowerMac (though not the other PCIe slots connected to the HT<->PCIe
> > tunnel, at least not for now).
> >
> > It's basically just a matter of having your low level config access
> > routines supporting those >=256 offsets. The generic code tests  
> > that by
> > doing a dummy access and checks for an error return.
> 
> The U3/U4 HT config access code never returns the error though; it
> happily accesses the config space of the next device instead.  Got
> a patch, will send it later -- it's not a regression, there's no big
> hurry for 2.6.18.

Better to have it in if possible though. Thanks

Ben.